org.apache.olingo.client.api.domain

## Class ClientLink

- java.lang.Object
- - org.apache.olingo.client.api.domain.ClientItem
  - - org.apache.olingo.client.api.domain.ClientLink

- All Implemented Interfaces:
    ClientAnnotatable
  Direct Known Subclasses:
    ClientInlineEntity, ClientInlineEntitySet

      public class ClientLink
      extends ClientItem
      implements ClientAnnotatable

  OData link.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ClientLink.Builder`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `ClientLink(URI uri, ClientLinkType type, String title)` Constructor.
    `` | `ClientLink(URI uri, ClientLinkType type, String title, String eTag)`
    `protected` | `ClientLink(URI baseURI, String href, ClientLinkType type, String title)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientInlineEntity` | `asInlineEntity()`
    `ClientInlineEntitySet` | `asInlineEntitySet()`
    `List<ClientAnnotation>` | `getAnnotations()`
    `String` | `getMediaETag()` Gets Media ETag.
    `String` | `getRel()` Gets link rel.
    `ClientLinkType` | `getType()` Gets link type.

    - ### Methods inherited from class org.apache.olingo.client.api.domain.ClientItem

      `equals, getLink, getName, hashCode, setLink, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientLink

          public ClientLink(URI uri,
                            ClientLinkType type,
                            String title)

      Constructor.
      Parameters:
        `uri` - URI.
        `type` - type.
        `title` - title.

    - #### ClientLink

          public ClientLink(URI uri,
                            ClientLinkType type,
                            String title,
                            String eTag)

    - #### ClientLink

          protected ClientLink(URI baseURI,
                               String href,
                               ClientLinkType type,
                               String title)

      Constructor.
      Parameters:
        `version` - OData service version.
        `baseURI` - base URI.
        `href` - href.
        `type` - type.
        `title` - title.

  - ### Method Detail

    - #### getType

          public ClientLinkType getType()

      Gets link type.
      Returns:
        link type;

    - #### asInlineEntity

          public ClientInlineEntity asInlineEntity()

    - #### asInlineEntitySet

          public ClientInlineEntitySet asInlineEntitySet()

    - #### getRel

          public String getRel()

      Gets link rel.
      Returns:
        link rel

    - #### getMediaETag

          public String getMediaETag()

      Gets Media ETag.
      Returns:
        media ETag

    - #### getAnnotations

          public List<ClientAnnotation> getAnnotations()

      Specified by:
        `getAnnotations` in interface `ClientAnnotatable`

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.